# Get E-Invoice PDF

You can get PDF version of an Invoice by submitting a **`GET`**&#x72;equest to  E-Invoicing API with the following request headers.

### Request Method

GET

### Request URL

```
{{HOST}}/einv/v2/eInvoice/download
```

### Request Headers

<table><thead><tr><th width="235">PARAMETER</th><th width="187">PARAM TYPE</th><th width="150">TYPE</th><th>DESCRIPTION</th><th></th></tr></thead><tbody><tr><td>X-Cleartax-Auth-Token</td><td>Header</td><td>String</td><td>Mandatory. The auth token generated from ClearTax user id and password.</td><td></td></tr><tr><td>gstin</td><td>Header</td><td>String</td><td>Conditional. GSTIN of the organisation. Either of GSTIN or PAN is mandatory.</td><td></td></tr><tr><td>pan</td><td>Header</td><td>String</td><td>Conditional. PAN of the organisation. Either of GSTIN or PAN is mandatory.</td><td></td></tr></tbody></table>

### Request Path Params

There are no path parameters for this API.

### Request Query Params

<table><thead><tr><th width="175.77551020408163">KEY</th><th width="186">PARAM TYPE</th><th width="150">TYPE</th><th>DESCRIPTION</th></tr></thead><tbody><tr><td>template</td><td>query</td><td>String</td><td><p>Optional.</p><p>CRN Template 1 - e281c115-dc47-467a-83c8-1b66c70de13e</p><p>DBN Template 1 - 9dba2d0a-eba9-4d55-8fed-c03bf8b23435</p><p>INV Template 1 - 6f376678-3cc0-4bea-a9e0-ff92a60a7b00</p><p>INV Template 2 - 179471da-fcc9-4a1e-bf17-33b57c5f445c </p><p>INV Template 3 - 6e351b87-35b4-48a5-bc5f-d085685410f7</p><p>Export - b91a628f-11e7-47a8-8eeb-833b5bd9a660</p></td></tr><tr><td>format</td><td>query</td><td>String</td><td><p>Optional.Accepted values include: PDF, ZIP</p><p>Default: PDF</p></td></tr><tr><td>irns</td><td>query</td><td>List</td><td>Required. List of IRNs generated. Multiple accepted</td></tr><tr><td>enableDsc</td><td>query</td><td>Boolean</td><td>Optional. If the user doesn’t send a value, the default value will be False. If the user sends a value, DSC will be enabled for the user.</td></tr></tbody></table>

### Request Body

There is no request body for this API.

### Response Status Codes

| HTTP Status Code | Description                                                                  |
| ---------------- | ---------------------------------------------------------------------------- |
| 200              | For a successfully processed request (may be a success or validation error). |
| 401              | If the user is not authenticated for the operation.                          |
| 403              | If the user is not authorized for the operation.                             |
| 500              | If there are any unhandled exceptions on the Clear side.                     |

### Response Schema

There is no sample response schema for this API.

### Sample Request & Response&#x20;

#### Request

There is no request body for this API.

#### Response - **Success:**

**HTTP Status Code : 200 OK**

Sample file containing IRN and QR Code-&#x20;

{% file src="/files/IQEX1XQ6ACgc3tulospQ" %}

Sample file containing IRN and QR Code along with Digital Signature-&#x20;

{% file src="/files/TdIrusfGJA3LxOh9J48F" %}

**Response - Failure:**

**HTTP Status Code: 200 OK**

```json
{
    "error_code": "107",
    "error_message": "Number of valid irn numbers in the request should be between 1 and 5. Please provide valid irn numbers and try again.",
    "error_source": "CLEARTAX"
}
```

### API Validations

The user should have appropriate access to take the EInvoice PDF.&#x20;

### API Constraints

1. A Maximum of 5 invoices can be printed per API call.
2. The Invoice details should be present in the ClearTax database.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/e-invoicing-api/e-invoicing-api-reference/cleartax-e-invoicing-apis-xml-schema/b2b-e-invoicing-apis/get-e-invoice-pdf.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
